org.eclipse.jdt.core

## Interface IImportContainer

All Superinterfaces:
  IAdaptable, IJavaElement, IParent, ISourceReference

    public interface IImportContainer
    extends IJavaElement, IParent, ISourceReference

Represents an import container is a child of a Java compilation unit that contains all (and only) the import declarations. If a compilation unit has no import declarations, no import container will be present.

Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jdt.core.IJavaElement

`ANNOTATION, CLASS_FILE, COMPILATION_UNIT, FIELD, IMPORT_CONTAINER, IMPORT_DECLARATION, INITIALIZER, JAVA_MODEL, JAVA_PROJECT, LOCAL_VARIABLE, METHOD, PACKAGE_DECLARATION, PACKAGE_FRAGMENT, PACKAGE_FRAGMENT_ROOT, TYPE, TYPE_PARAMETER`

### Method Summary

All Methods Instance Methods Abstract Methods
`IImportDeclaration` `getImport(String name)` Returns the first import declaration in this import container with the given name.

### Methods inherited from interface org.eclipse.jdt.core.IJavaElement

`exists, getAncestor, getAttachedJavadoc, getCorrespondingResource, getElementName, getElementType, getHandleIdentifier, getJavaModel, getJavaProject, getOpenable, getParent, getPath, getPrimaryElement, getResource, getSchedulingRule, getUnderlyingResource, isReadOnly, isStructureKnown`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.jdt.core.IParent

`getChildren, hasChildren`

### Methods inherited from interface org.eclipse.jdt.core.ISourceReference

`exists, getNameRange, getSource, getSourceRange`

### Method Detail

#### getImport

    IImportDeclaration getImport(String name)

Returns the first import declaration in this import container with the given name. This is a handle-only method. The import declaration may or may not exist.

Parameters:
  `name` - the given name
Returns:
  the first import declaration in this import container with the given name